% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/data.R
\docType{data}
\name{sim_data}
\alias{sim_data}
\alias{sim_pu_polygons}
\alias{sim_pu_zones_polygons}
\alias{sim_pu_points}
\alias{sim_pu_lines}
\alias{sim_pu_raster}
\alias{sim_locked_in_raster}
\alias{sim_locked_out_raster}
\alias{sim_pu_zones_stack}
\alias{sim_features}
\alias{sim_features_zones}
\alias{sim_phylogeny}
\alias{sim_pu_sf}
\alias{sim_pu_zones_sf}
\title{Simulated conservation planning data}
\format{
\describe{

\item{sim_pu_polygons}{\code{\link[sp]{SpatialPolygonsDataFrame-class}}
  object.}

\item{sim_pu_zones_polygons}{
  \code{\link[sp]{SpatialPolygonsDataFrame-class}} object.}

\item{sim_pu_sf}{\code{\link[sf]{sf}} object.}

\item{sim_pu_zones_sf}{\code{\link[sf]{sf}} object.}

\item{sim_pu_lines}{\code{\link[sp]{SpatialLinesDataFrame-class}} object.}

\item{sim_pu_points}{\code{\link[sp]{SpatialPointsDataFrame-class}}
  object.}

\item{sim_pu_raster}{\code{\link[raster]{RasterLayer-class}} object.}

\item{sim_pu_zones_stack}{\code{\link[raster]{RasterStack-class}} object.}

\item{sim_locked_in_raster}{\code{\link[raster]{RasterLayer-class}}
  object.}

\item{sim_locked_out_raster}{\code{\link[raster]{RasterLayer-class}}
  object.}

\item{sim_features}{\code{\link[raster]{RasterStack-class}} object.}

\item{sim_features_zones}{\code{\link{ZonesRaster}} object.}

\item{sim_phylogeny}{\code{\link[ape]{phylo}} object.}

}

An object of class \code{RasterStack} of dimension 10 x 10 x 5.

An object of class \code{ZonesRaster} (inherits from \code{Zones}) of length 3.

An object of class \code{SpatialPolygonsDataFrame} with 90 rows and 3 columns.

An object of class \code{SpatialPolygonsDataFrame} with 90 rows and 6 columns.

An object of class \code{sf} (inherits from \code{data.frame}) with 90 rows and 4 columns.

An object of class \code{sf} (inherits from \code{data.frame}) with 90 rows and 7 columns.

An object of class \code{SpatialLinesDataFrame} with 90 rows and 3 columns.

An object of class \code{SpatialPointsDataFrame} with 90 rows and 3 columns.

An object of class \code{RasterLayer} of dimension 10 x 10 x 1.

An object of class \code{RasterStack} of dimension 10 x 10 x 3.

An object of class \code{phylo} of length 4.

An object of class \code{RasterLayer} of dimension 10 x 10 x 1.

An object of class \code{RasterLayer} of dimension 10 x 10 x 1.
}
\usage{
data(sim_pu_polygons)

data(sim_pu_zones_polygons)

data(sim_pu_points)

data(sim_pu_lines)

data(sim_pu_sf)

data(sim_pu_zones_sf)

data(sim_pu_raster)

data(sim_locked_in_raster)

data(sim_locked_out_raster)

data(sim_pu_zones_stack)

data(sim_features)

data(sim_features_zones)

data(sim_phylogeny)

sim_features

sim_features_zones

sim_pu_polygons

sim_pu_zones_polygons

sim_pu_sf

sim_pu_zones_sf

sim_pu_lines

sim_pu_points

sim_pu_raster

sim_pu_zones_stack

sim_phylogeny

sim_locked_in_raster

sim_locked_out_raster
}
\description{
Simulated data for making spatial prioritizations.
}
\details{
\describe{

\item{\code{sim_pu_raster}}{Planning units are represented as raster data.
  Pixel values indicate planning unit cost and \code{NA} values indicate
  that a pixel is not a planning unit.}

\item{\code{sim_pu_zones_stack}}{Planning units are represented as raster
  stack data. Each layer indicates the cost for a different management
  zone. Pixels with \code{NA} values in a given zone indicate that a
  planning unit cannot be allocated to that zone in a solution.
  Additionally, pixels with \code{NA} values in all layers are not a
  planning unit.}

\item{\code{sim_locked_in_raster}}{Planning units are represented as raster
  data. Pixel values are binary and indicate if planning units should be
  locked in to the solution.}

\item{\code{sim_locked_out_raster}}{Planning units are represented as
  raster data. Pixel values are binary and indicate if planning units
  should be locked out from the solution.}

\item{\code{sim_pu_polygons}}{Planning units represented as polygon data.
  The attribute table contains fields (columns) indicating the expenditure
  required for prioritizing each planning unit ("cost" field), if the
  planning units should be selected in the solution ("locked_in" field),
  and if the planning units should never be selected in the solution
  ("locked_out" field).}

\item{\code{sim_pu_points}}{Planning units represented as point data.
  The attribute table follows the same conventions as for
  \code{sim_pu_polygons}.}

\item{\code{sim_pu_lines}}{Planning units represented as line data.
  The attribute table follows the same conventions as for
  \code{sim_pu_polygons}.}

\item{\code{sim_pu_sf}}{Planning units represented as polygon data
  using the \code{\link[sf]{sf}} package.
  The attribute table follows the same conventions as for
  \code{sim_pu_polygons}.}

\item{\code{sim_pu_zones_polygons}}{Planning units represented as polygon
  data. The attribute table contains fields (columns) indicating the
  expenditure required for prioritizing each planning unit under different
  management zones ("cost_1", "cost_2", and "cost_3" fields), and a series
  of fields indicating the value that each planning unit that should be
  assigned in the solution ("locked_1", "locked_2", "locked_3" fields).
  In these locked fields, planning units that should not be locked to a
  specific value are assigned a \code{NA} value.}

\item{\code{sim_pu_zones_sf}}{Planning units represented as polygon data
  using the \code{\link[sf]{sf}} package. The attribute tables follows
  the same conventions as for \code{sim_pu_zone_polygons}.}
\item{\code{sim_features}}{The simulated distribution of ten species.
  Pixel values indicate habitat suitability.}

\item{\code{sim_features_zones}}{The simulated distribution for five
  species under three different management zones.}

 \item{\code{sim_phylogeny}}{The phylogenetic tree for the ten species.}

}
}
\examples{
# load data
data(sim_pu_polygons, sim_pu_lines, sim_pu_points, sim_pu_raster,
     sim_locked_in_raster, sim_locked_out_raster, sim_phylogeny,
     sim_features, sim_pu_sf)

# plot example Spatial-class planning unit data
\donttest{
par(mfrow = c(2, 3))
plot(sim_pu_raster, main = "planning units (raster)")
plot(sim_locked_in_raster, main = "locked in units (raster)")
plot(sim_locked_out_raster, main = "locked out units (raster)")
plot(sim_pu_polygons, main = "planning units (polygons)")
plot(sim_pu_lines, main = "planning units (lines)")
plot(sim_pu_points, main = "planning units (points)")

# plot example sf-class planning unit data
plot(sim_pu_sf)

# plot example phylogeny data
par(mfrow = c(1, 1))
ape::plot.phylo(sim_phylogeny, main = "simulated phylogeny")

# plot example feature data
par(mfrow = c(1, 1))
plot(sim_features)

# plot example management zone cost data
par(mfrow = c(1, 1))
plot(sim_pu_zones_stack)

# plot example feature data for each management zone
plot(do.call(stack, sim_features_zones),
     main = paste0("Species ",
                   rep(seq_len(number_of_zones(sim_features_zones)),
                       number_of_features(sim_features_zones)),
                   " (zone ",
                   rep(seq_len(number_of_features(sim_features_zones)),
                       each = number_of_zones(sim_features_zones)),
                   ")"))
}
}
\keyword{datasets}
